### Method

# Cogl Pipeline foreach_layer

#### Declaration [src]

    void
    cogl_pipeline_foreach_layer (
      CoglPipeline* pipeline,
      CoglPipelineLayerCallback callback,
      void* user_data
    )

#### Description [src]

Iterates all the layer indices of the given `pipeline`.

#### Parameters

`callback`

  Type: `CoglPipelineLayerCallback`

  A `CoglPipelineLayerCallback` to be called for each layer index.

`user_data`

  Type: `void*`

  Private data that will be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.